# PlotSquaredShopFlag (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.external

## Class PlotSquaredShopFlag

- java.lang.Object
- - de.epiceric.shopchest.external.PlotSquaredShopFlag

    public class PlotSquaredShopFlag
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PlotSquaredShopFlag.Group`
`class` `PlotSquaredShopFlag.GroupFlag`

### Field Summary

Fields
`static com.intellectualcrafters.plot.flag.Flag` `CREATE_SHOP`
`static com.intellectualcrafters.plot.flag.Flag` `USE_ADMIN_SHOP`
`static com.intellectualcrafters.plot.flag.Flag` `USE_SHOP`

### Constructor Summary

Constructors
Constructor and Description
`PlotSquaredShopFlag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `register(ShopChest plugin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CREATE_SHOP

    public static com.intellectualcrafters.plot.flag.Flag CREATE_SHOP

#### USE_SHOP

    public static com.intellectualcrafters.plot.flag.Flag USE_SHOP

#### USE_ADMIN_SHOP

    public static com.intellectualcrafters.plot.flag.Flag USE_ADMIN_SHOP

### Constructor Detail

#### PlotSquaredShopFlag

    public PlotSquaredShopFlag()

### Method Detail

#### register

    public void register(ShopChest plugin)